from setuptools import setup, find_packages
import os
from cms_highlighted_content import VERSION


CLASSIFIERS = [
    'Development Status :: 5 - Production/Stable',
    'Environment :: Web Environment',
    'Framework :: Django',
    'Intended Audience :: Developers',
    'License :: OSI Approved :: BSD License',
    'Operating System :: OS Independent',
    'Programming Language :: Python',
    'Topic :: Internet :: WWW/HTTP :: Dynamic Content',
    'Topic :: Software Development',
    'Topic :: Software Development :: Libraries :: Application Frameworks',
    "Programming Language :: Python :: 2.6",
    "Programming Language :: Python :: 2.7",
    "Programming Language :: Python :: 3.3",
]

setup(
    author="WebU",
    author_email="developpeurs@webu.coop",
    name='django-cms-plugin-highlighted_content',
    version=VERSION,
    description='A django CMS plugin to add highlighted contents in placeholders',
    long_description=open(os.path.join(os.path.dirname(__file__), 'README.md')).read(),
    url='https://dev.webu.coop/shared/django-cms-highlighted-content',
    license='BSD License',
    platforms=['OS Independent'],
    classifiers=CLASSIFIERS,
    install_requires=[
        'django-cms',
    ],
    packages=find_packages(exclude=["project", "project.*"]),
    include_package_data=True,
    zip_safe=False,
)
